Bug 6474 - Net boot image does not work for NFS
Net boot image does not work for NFS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-28 14:20 EDT by y2kmvs
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-29 13:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description y2kmvs 1999-10-28 14:20:50 EDT
Installation was attempted via NFS. The Redhat distribution
was downloaded to the NFS server (AIX 4.3.2) on 10/25/99.
The target machine is a Pentium II 400MHz IBM PC300GL with
6GB storage on /dev/hdc. /dev/hda runs NT4.0. No /dev/hdb.
Cdrom on /dev/hdd. 192 MB of RAM.

The NFS export was done at /archives/unix/redhat/i386. The
hostname of the NFS server is bookshelf.austin.ibm.com .
After the hostname, and the NFS export was specified on the
install screen, the following errors messages were observed
on the console :

/tmp/raid0.o : a module named raid0 already exists
exec : Permission denied
install exited abnormally
sending termination signals...done
sending kill signals...done
unmounting filesystems...
    /mnt/source
    /mnt/pts
    /proc
you may safely reboot your system now


On the alternate console (ALT+F3), the following was
observed :

* mounting nfs path
bookshelf.austin.ibm.com:/archives/unix/redhat/i386
* exec of /bin/sh failed : Permission denied
* Probing buses
* finished bus probing
* found nothing
* going to insmod raid0.o (path is NULL)
* Probing buses
* finished bus probing
* found nothing
* going to insmod raid0.o (path is NULL)

(above message repeated 4 more times)

Install was successfully completed later on via http from
the same machine.
Comment 1 y2kmvs 1999-10-28 14:53:59 EDT
Forgot to add :
IBM PCI token-ring card on the target machine. The Olympic driver
inserted the machine into the ring with no errors.
Comment 2 Bill Nottingham 1999-10-28 16:32:59 EDT
Make sure the permissions on the files in RedHat/instimage
are correct; (executables are executable, etc.)
Comment 3 Jay Turner 1999-10-29 13:31:59 EDT
Anytime that you get the "permission denied" message, it generally
means that you need to check the permissions as notting suggested.  I
am closing this bug.  Please reopen if checking the permissions does
not solve the problem.

Note You need to log in before you can comment on or make changes to this bug.